# GET Trade

#### `GET /trades/:trade_id` <a href="#get-trades-trade_id" id="get-trades-trade_id"></a>

A particular trade that has been submitted to NDAX for settlement refers to a specific exchange of assets (e.g., a sale or purchase of cryptocurrency) that has been initiated by a client and is being processed by the NDAX exchange. The trade may still be in the process of being settled, or it may have already been completed.

The trade has a unique identifier called the 'trade\_id', which is provided by NDAX. This identifier can be used to track the status of the trade and to retrieve details about it. The 'trade\_id' is returned as a response to the trade submission endpoints, which are specific routes on the server that are used to initiate trades, and the 'trade\_id' is a unique identifier for that trade that is provided by NDAX and can be used to track the trade's progress and retrieve information about it.

> Sample Response

```
{
  "message": {
    "trade_id": "9411a2d9-8964-47d0-8971-a52db2f65748",
    "client_trade_id": "fjfd9wekdwoc0sdkcs09w",
    "session_id": "20220801000000",
    "trade_state": "terminated",
    "market_identifier_code": "NDAX",
    "reporting_party": "00WRX",
    "settlement_schedule": "ABCDEF",
    "symbol": "BTC/e₹",
    "trade_quantity": "4",
    "trade_price": "10000",
    "trade_type": "block",
    "physical_delivery": true,
    "comment": null,
    "last_update": 1565832456717,
    "transaction_timestamp": 1565731066447,
    "settlement_timestamp": 1565731965906,
    "accepted_timestamp": 1565731066768,
    "defaulted_timestamp": null,
    "settled_timestamp": 1565794980952,
    "contract_size": 1,
    "bank_fee": "1.00",
    "underlying": "BTC",
    "quoted_currency": "e₹",
    "trade_reporter": "user@wazir.app",
    "platform_code": "00WRX",
    "product_type": "spot",
    "parties_anonymous": false,
    "parties": [
      {
        "participant_code": "0M2CKW",
        "side": "buy",
        "asset": "BTC",
        "amount": "4",
        "liquidity_indicator": null,
        "execution_id": "ex_id1",
        "order_id": "foo",
        "desk_code": null,
        "trading_account_code": null,
        "obligations_outstanding_timestamp": null,
        "current_obligations_met_timestamp": null,
        "settlement_state": "settled",
        "client_order_id": null,
        "settling": true
      },
      {
        "participant_code": "1J32WQ",
        "side": "sell",
        "asset": "e₹",
        "amount": "40000",
        "liquidity_indicator": null,
        "execution_id": "ex_id2",
        "order_id": "foo",
        "desk_code": null,
        "trading_account_code": null,
        "obligations_outstanding_timestamp": null,
        "current_obligations_met_timestamp": null,
        "settlement_state": "settled",
        "client_order_id": null,
        "settling": true
      }
    ]
  }
}
```

The object has several fields that provide details about the trade, including:

* 'trade\_id': The unique identifier for the trade, provided by NDAX.
* 'client\_trade\_id': The identifier for the trade that was provided by the client who initiated the trade.
* 'session\_id': The session identifier for the trade.
* 'trade\_state': The current state of the trade. Possible values include 'terminated', 'accepted', 'defaulted', and 'settled'.
* 'market\_identifier\_code': The market identifier code for the trade.
* 'reporting\_party': The code for the party that is reporting the trade.
* 'settlement\_schedule': The settlement schedule for the trade.
* 'symbol': The symbol for the asset being traded.
* 'trade\_quantity': The quantity of the asset being traded.
* 'trade\_price': The price at which the trade is being executed.
* 'trade\_type': The type of trade. Possible values include 'block' and 'spot'.
* 'physical\_delivery': A boolean value indicating whether the trade involves physical delivery of the asset.
* 'comment': An optional comment associated with the trade.
* 'last\_update': The timestamp of the last update to the trade.
* 'transaction\_timestamp': The timestamp of the transaction.
* 'settlement\_timestamp': The timestamp at which the trade was settled.
* 'accepted\_timestamp': The timestamp at which the trade was accepted.
* 'defaulted\_timestamp': The timestamp at which the trade defaulted, if applicable.
* 'settled\_timestamp': The timestamp at which the trade was settled.
* 'contract\_size': The contract size for the trade.
* 'bank\_fee': The bank fee for the trade.
* 'underlying': The underlying asset of the trade.
* 'quoted\_currency': The currency in which the trade is quoted.
* 'trade\_reporter': The email address of the user who reported the trade.
* 'platform\_code': The code for the platform on which the trade was executed.
* 'product\_type': The type of product being traded.
* 'parties\_anonymous': A boolean value indicating whether the parties to the trade are anonymous.
* 'parties': An array of objects representing the parties to the trade. Each object contains information about a single party, including the participant code, the side of the trade (e.g., 'buy' or 'sell'), the asset being traded, the amount of the asset being traded, and other details.
